---
- entityDefinitions:
  - IDC_WebServiceInvocationType: '{cf03dad9-b89f-4259-85f0-4d840fecab9f}'
    
  - IDI_WebServiceInvocationType_BasicAuth: '{88372a06-7025-4e08-880e-7bc472e77003}'
  - IDI_WebServiceInvocationType_OAuth2: '{9e62468f-0c8e-49ad-a61b-839bdb3509ac}'
  - IDI_WebServiceInvocationType_Microsoft: '{bd9cc03f-a0c1-4815-95b9-d7d3d21599a8}'
    
- library: '&IDL_MochaBaseSystem;'
  instances:
  - class:      '&IDC_WebServiceInvocationType;'
    name:      Web Service Invocation Type
    index:     209
    translations:
    - relationship: '&IDR_Class__has_title__Translation;'
      values:
      - languageInstanceId: '&IDI_Language_English;'
        value: 'Web Service Invocation Type'
    customTagName: webServiceInvocationType
    attributes:
    - instance: '&IDA_Name;'
      customTagName: 'name'

  - webServiceInvocationType: '&IDI_WebServiceInvocationType_BasicAuth;'
    name: 'Basic Auth'
  - webServiceInvocationType: '&IDI_WebServiceInvocationType_OAuth2;'
    name: 'OAuth 2.0'
  - webServiceInvocationType: '&IDI_WebServiceInvocationType_Microsoft;'
    name: 'Microsoft Entra ID / Azure Active Directory'
